# Set the language to C++
Language: Cpp

# Set the language standard to C++11
Standard: Cpp11

# Never use tab for indentation
UseTab: Never

# Set the indent width to be 4 columns
IndentWidth: 4

# Set tab width to be 4 columns
TabWidth: 4

# Set access modifier (public, private, protected) offset to indent left
AccessModifierOffset: -4

# Stop indentation of access modifiers
IndentAccessModifiers: false

# Don't allow a function to be defined on a single line
AllowShortFunctionsOnASingleLine: false

# Set the column limit to 80 characters
ColumnLimit: 80

# If an expression has to be split, then split before binary operators unless
# it's an assignment operator.
BreakBeforeBinaryOperators: NonAssignment

# Use a Linux style brace break.
# Break before braces on function, namespace and class definitions.
BreakBeforeBraces: Linux


# If true, spaces will be inserted after ( and before ).
SpacesInParentheses: false

# If true, spaces will be inserted after [ and before ].
SpacesInSquareBrackets: false

# Separate definition blocks (classes, functions, structs, enums)
SeparateDefinitionBlocks: Always
